﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StatePersistenceIdentifierSample
{
    public class CategoryDataViewModel : INotifyPropertyChanged
    {
        public CategoryDataViewModel()
        {
            CategoricalDatas = new ObservableCollection<CategoryData>();
            CategoricalDatas.Add(new CategoryData("Item 1", -15.45, 10));
            CategoricalDatas.Add(new CategoryData("Item 2", 12.47, 12));
            CategoricalDatas.Add(new CategoryData("Item 3", -2, 5));
            CategoricalDatas.Add(new CategoryData("Item 4", 11.055, 100));
            CategoricalDatas.Add(new CategoryData("NewItem", 21.00, 43));
            CategoricalDatas.Add(new CategoryData("Item", 2, 100));
            CategoricalDatas.Add(new CategoryData("ABC", -15.45, 763));
            CategoricalDatas.Add(new CategoryData("Category", 47.347, 27));
            CategoricalDatas.Add(new CategoryData("1234", 11.23, 45));
            Categories = new ObservableCollection<string>();
           

            Categories.Add("TestControl");
            Categories.Add("TestControl1");
            Categories.Add("TestControl2");
            Categories.Add("TestControl3");
        }

        public ObservableCollection<CategoryData> CategoricalDatas
        {
            get;
            set;
        }

        public ObservableCollection<string> Categories
        {
            get;
            set;
        }


        void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
